# Scanning

- [sane-project Gitlab](https://gitlab.com/sane-project)

## Simple-scan

Works !

## scanimage

Show scanners detected by `saned`:

```sh
scanimage -L
```

scanimage by itself can scan to pnm (default), tiff, png or jpg format

```sh
scanimage --format=jpg > /tmp/i.jpg
scanimage > /tmp/i.pnm
```

scan to pdf

```sh
scan_pdf /tmp/out.pdf
```

which is aliased to

```sh
scanimage -p --resolution 250 --mode Grayscale | pnmtops -imageheight 11 -imagewidth 8.5 | ps2pdf -
```

Show all avaiable options, including all device options:

```sh
scanimage -h
```

## Web services

- [Look Scanned](https://lookscanned.io)
  frontend site that makes your PDFs look scanned! No need for printers and scanners anymore

## Troubleshooting

### Network scanners

- Firewalld blocks scanning

```sh
systemctl stop firewalld.service
```
