# Flatpak

<https://flathub.org>

Config dir: `~/.var/app/`

## Install flatpak core

<https://flatpak.org/setup/Ubuntu>

```sh
sudo apt install flatpak
sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak update
```

## Usage

```sh
flatpak search nagstamon
flatpak info de.ifw_dresden.nagstamon
sudo flatpak install de.ifw_dresden.nagstamon
```

## Full upgrade

```sh
flatpak update
flatpak update --appstream
flatpak repair --user
sudo flatpak repair --system
flatpak update
flatpak uninstall --unused
```
