# Power consumption in Home-assistant

See also [../smart-meter.md](../smart-meter.md) for reading smart meters.

## Appliance detection

- [Best way to detect a pattern in a power sensor?](https://community.home-assistant.io/t/best-way-to-detect-a-pattern-in-a-power-sensor/546125)
- [Blueprint: Detect and monitor the state of an appliance based on its power consumption](https://community.home-assistant.io/t/detect-and-monitor-the-state-of-an-appliance-based-on-its-power-consumption-v2-1-1-updated/421670)
- [leofabri/hassio_appliance-status-monitor](https://github.com/leofabri/hassio_appliance-status-monitor)
  - Outdates, last commit 2022

### AI / ML based

- [AI Power Consumption](https://community.home-assistant.io/t/ai-power-consumption/389064/4)
- [FR: Machine learning device states from power meter parameters](https://community.home-assistant.io/t/machine-learning-device-states-from-power-meter-parameters/818178)
- [Energy Disaggregation or Non-Intrusive Load Monitoring (NILM) blueprint](https://community.home-assistant.io/t/energy-disaggregation-or-non-intrusive-load-monitoring-nilm-blueprint/619672)
- [Development of an Open Source Energy
  Disaggregation Tool for the Home Automation
  Platform Home Assistant](https://htwk-leipzig.qucosa.de/api/qucosa%3A83837/attachment/ATT-0/)
  - [Source code](https://git.fh-aachen.de/energy-disaggregation-tool)
