# CAD Programs

- [Arch wiki: CAD software](https://wiki.archlinux.org/title/List_of_applications/Science#Computer-aided_design)
- [UbuntuUsers wiki: CAD](https://wiki.ubuntuusers.de/CAD/)
- [CAD software linux](https://itsfoss.com/cad-software-linux/)

## Desktop apps

### FreeCAD

- [Website](https://www.freecadweb.org/)
- [FreeCAD](https://github.com/FreeCAD/FreeCAD)
- [FreeCAD wiki: Getting started](https://wiki.freecadweb.org/Getting_started)
- Debian packages
- 3D

#### Workbenches

##### Arch workbench

- [Arch module](https://wiki.freecadweb.org/Arch_Module)
- [Arch tutorial](https://wiki.freecadweb.org/index.php?title=Arch_tutorial/en)
- Can be combined with the [TechDraw_Module](https://wiki.freecadweb.org/TechDraw_Module)

> The BIM functionality of FreeCAD is now progressively split
> into this Arch Workbench, which holds basic architectural tools,
> and the Workbench BIM.svg BIM Workbench, which is available from
> the Std AddonMgr.svg Addon Manager

##### BIM Workbench

- [FreeCAD wiki: BIM Workbench](https://wiki.freecadweb.org/BIM_Workbench)
- [FreeCAD BIM migration guide](https://yorik.uncreated.net/blog/2020-010-freecad-bim-guide)
- Installeable via AddOn-Manager

### LibreCAD

- [GitHub](https://github.com/LibreCAD/LibreCAD)
- 2D
- Can open .dwg files

### Sweethome3D

- [Website](https://www.sweethome3d.com/de/)
- Java

Issues:

- [3D preview on external display only works when inititally started on laptop display](https://sourceforge.net/p/sweethome3d/bugs/339/)

### OpenSCAD

- [Website](https://www.openscad.org/)
- [GitHub](https://github.com/openscad/openscad)
- 3D
- Actively maintained
- Descibed by DSL

## Online apps

- [OnShape](https://www.onshape.com/en/?ref=itsfoss.com)
