# Homebrew

Install:

<https://docs.brew.sh/Homebrew-on-Linux>

```sh
sudo apt-get install build-essential curl file git
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"
```

List install packages without dependencies:

```sh
brew leaves
```

## Issues

### brew install gopass

Prerequisite: `brew install gcc`

`brew install gopass` fails with

```sh
==> Pouring llvm--12.0.0_6.x86_64_linux.bottle.tar.gz
Error: Too many open files @ rb_sysopen - /home/varac/Cellar/llvm/12.0.0_6/bin/llvm-as
```

<https://github.com/Homebrew/brew/issues/9120>

Solution: Increase ulimt:

```sh
ulimit -n 10240
brew install gopass
```
