# Website validation

## HTML

### Nu Html Checker (v.Nu)

- [Website](https://validator.github.io/validator/)
- [GitHub](https://github.com/validator/validator)
- [Online service](https://validator.w3.org/nu/)
- AUR package: `validatornu`

Usage:

```sh
$ validatornu index.html
"file:/home/varac/projects/websites/personal-website/varacs-hugo-site/public/index.html":16.1-16.16:
  error: Stray start tag “html”.
"file:/home/varac/projects/websites/personal-website/varacs-hugo-site/public/index.html":16.1-16.16:
  error fatal: Cannot recover after last error. Any further errors will be ignored.
"file:/home/varac/projects/websites/personal-website/varacs-hugo-site/public/index.html":1.16-2.7:
  info warning: Consider adding a “lang” attribute to the “html” start tag to declare the language of this document.
```

```sh
validatornu --format json index.html
```

### Outdated tools

- [Tidy](https://www.html-tidy.org/)
  - [GitHub](https://github.com/htacg/tidy-html5)
  - Last release 2021
  - AUR package `tidy-html5-git` fails to install

## CSS

- [Csstidy](https://csstidy.sourceforge.net/index.php)
  Last release 2007
